apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: ioteer-risinghf
  name: ioteer-risinghf
  namespace: ioteer
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ioteer-risinghf
  strategy: {}
  template:
    metadata:
      labels:
        app: ioteer-risinghf
    spec:
      containers:
      - image: tobru/ioteer:latest
        name: ioteer
        command:
        - python
        - rhf1s001.py
        envFrom:
        - secretRef:
            name: ioteer-risinghf
        ports:
        - containerPort: 8080
          protocol: TCP
        imagePullPolicy: Always
